package com.qmth.jkserver.dto.wps;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: wps题目详情vo
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/8
 */
public class WpsDetailVo implements Serializable {

    @ApiModelProperty(value = "大题序号")
    Integer number;

    @ApiModelProperty(value = "大题名称")
    String name;

    @ApiModelProperty(value = "大题说明")
    String description;

    @ApiModelProperty(value = "大题总分")
    BigDecimal totalScore;

    @ApiModelProperty(value = "小题数量")
    Integer questionCount;

    @ApiModelProperty(value = "小题集合")
    List<WpsQuestionVo> questions;

    public WpsDetailVo() {

    }

    public WpsDetailVo(Integer number, String name, String description, BigDecimal totalScore, Integer questionCount) {
        this.number = number;
        this.name = name;
        this.description = description;
        this.totalScore = totalScore;
        this.questionCount = questionCount;
    }

    public WpsDetailVo(Integer number, String name, String description, BigDecimal totalScore, Integer questionCount, List<WpsQuestionVo> questions) {
        this.number = number;
        this.name = name;
        this.description = description;
        this.totalScore = totalScore;
        this.questionCount = questionCount;
        this.questions = questions;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    public List<WpsQuestionVo> getQuestions() {
        return questions;
    }

    public void setQuestions(List<WpsQuestionVo> questions) {
        this.questions = questions;
    }
}
